set(CPACK_PACKAGE_VERSION ${OGRE_VERSION})
set(CPACK_PACKAGE_VERSION_MAJOR ${OGRE_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${OGRE_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${OGRE_VERSION_PATCH})

set(CPACK_INSTALL_CMAKE_PROJECTS "${OGRE_BINARY_DIR}" "OGRE" "ALL" "/")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Open Source 3D Graphics Engine")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "OGRE")
set(CPACK_PACKAGE_NAME "OGRE")
set(CPACK_PACKAGE_VENDOR "Torus Knot Software")

set(CPACK_RESOURCE_FILE_LICENSE "${OGRE_SOURCE_DIR}/COPYING")
#set(CPACK_PACKAGE_ICON "${OGRE_SOURCE_DIR}\\\\ogrelogo.gif")

set(CPACK_PACKAGE_CONTACT "OGRE Team <sinbad@ogre3d.org>")

set(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "WriteRegStr \\\${WriteEnvStr_RegKey} \\\"OGRE_HOME\\\" $INSTDIR")

include(CPack)
